HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostPlansPlan

Contains the different functions to run the operation postPlansPlan

  • 3 types
  • 2 values
valuepostPlansPlan
  1. :: MonadHTTP m
  2. => Text

    plan | Constraints: Maximum length of 5000

  3. -> Maybe PostPlansPlanRequestBody

    The request body to send

  4. -> ClientT m (Response PostPlansPlanResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/plans/{plan}

<p>Updates the specified plan by setting the values of the parameters passed. Any parameters not provided are left unchanged. By design, you cannot change a plan’s ID, amount, currency, or billing cycle.</p>

Defines the object schema located at paths./v1/plans/{plan}.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/plans/{plan}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.metadata.anyOf in the specification.

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postPlansPlan.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostPlansPlanResponseError is used.

Constructors

Instances2Eq, Show